Debian Bug report logs - #267837
Postfix become open relay with permit_mx_backup and domain with AAAA record

version graph

Package: postfix; Maintainer for postfix is LaMont Jones <lamont@debian.org>; Source for postfix is src:postfix.

Reported by: REYNAUD Jean-Samuel <reynaud@elma.fr>

Date: Tue, 24 Aug 2004 16:33:03 UTC

Severity: important

Tags: moreinfo

Merged with 293046

Found in versions 2.1.3-1, 2.1.5-5

Done: LaMont Jones <lamont@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, LaMont Jones <lamont@debian.org>:
Bug#267837; Package postfix. Full text and rfc822 format available.

Acknowledgement sent to REYNAUD Jean-Samuel <reynaud@elma.fr>:
New Bug report received and forwarded. Copy sent to LaMont Jones <lamont@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: REYNAUD Jean-Samuel <reynaud@elma.fr>
To: lamont@debian.org
Cc: submit@bugs.debian.org
Subject: Postfix become open relay with permit_mx_backup and domain with AAAA record
Date: Tue, 24 Aug 2004 18:22:54 +0200
Package: postfix
Version: 2.1.3-1

 When I add "permit_mx_backup" on "smtpd_recipient_restrictions" in the
configuration file main.cf, some domains are allowed to be relayed:
220 test_mail ESMTP Postfix (Debian/GNU)
MAIL FROM: test@yahoo.com
250 Ok
RCPT TO: test@yahoo.com
554 <test@yahoo.com>: Relay access denied

220 test_mail ESMTP Postfix (Debian/GNU)
MAIL FROM: test@freenet6.net
250 Ok
RCPT TO: test@freenet6.net
250 Ok

 The difference between this two domain is that freenet6.net has AAAA
(ipv6) record and yahoo.com not. All domains where a mx have a AAAA
record should be relayed...
 In fact, I think that the problem come from the
"src/global/own_inet_addr.c" file in the "own_inet_addr". The default
return is not at the good place. See my correction:
*** src/global/own_inet_addr.c~ 2004-08-24 18:05:30.000000000 +0200
--- src/global/own_inet_addr.c  2004-08-24 18:05:30.000000000 +0200
***************
*** 217,224 ****
        default:
            continue;
        }
-       return (0);
      }
  }
  #else
  int     own_inet_addr(struct in_addr * addr)
--- 217,224 ----
        default:
            continue;
        }
      }
+     return (0);
  }
  #else
  int     own_inet_addr(struct in_addr * addr)


 I am using Debian GNU/Linux sarge, kernel 2.6.7-1-686
  and libc6 2.3.2.ds1-13.

Thanks.




Severity set to `important'. Request was from LaMont Jones <lamont@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Merged 267837 293046. Request was from LaMont Jones <lamont@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: moreinfo Request was from LaMont Jones <lamont@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to LaMont Jones <lamont@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to REYNAUD Jean-Samuel <reynaud@elma.fr>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #16 received at 267837-done@bugs.debian.org (full text, mbox):

From: LaMont Jones <lamont@debian.org>
To: 267837-done@bugs.debian.org
Subject: Re: Bug#267837: Postfix become open relay with permit_mx_backup and domain with AAAA record
Date: Thu, 3 Feb 2005 11:52:42 -0700
This was fixed in 2.1.4-5

lamont



Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 14:27:50 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.